{
  "codeName" : "Usr04178513DataView_DataView",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSDATAVIEWS/Usr04178513DataView_DataView.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ONCLICK", "ONLOADSUCCESS" ],
  "getItemPSLayoutPanel" : {
    "codeName" : "Usr0417898489",
    "controlType" : "PANEL",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0417898489.json",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "卡片脚本_卡片视图_卡片面板",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    } ],
    "name" : "itemlayoutpanel",
    "modelid" : "89142B05-AC8F-47FD-9200-97EA97F35375",
    "modeltype" : "PSSYSVIEWPANEL"
  },
  "logicName" : "卡片脚本_卡片视图",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSControlAttributes" : [ {
    "attrValue" : "console.log('注入属性')",
    "name" : "logic8"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "onClick",
    "logicTag" : "dataview",
    "logicType" : "SCRIPT",
    "name" : "logic",
    "scriptCode" : "console.log('定时器触发')",
    "timer" : 1000,
    "triggerType" : "TIMER"
  }, {
    "eventNames" : "onLoadSuccess",
    "logicTag" : "dataview",
    "logicType" : "SCRIPT",
    "name" : "logic2",
    "scriptCode" : "console.log(\"部件事件触发\")"
  }, {
    "eventNames" : "onClick",
    "logicTag" : "dataview",
    "logicType" : "SCRIPT",
    "name" : "logic3",
    "scriptCode" : "console.log('自定义')",
    "triggerType" : "CUSTOM"
  }, {
    "logicTag" : "dataview",
    "logicType" : "SCRIPT",
    "name" : "logic4",
    "scriptCode" : "console.log('项显示逻辑')",
    "triggerType" : "ITEMVISIBLE"
  }, {
    "logicTag" : "dataview",
    "logicType" : "SCRIPT",
    "name" : "logic5",
    "scriptCode" : "console.log('项启用逻辑')",
    "triggerType" : "ITEMENABLE"
  }, {
    "logicTag" : "dataview",
    "logicType" : "SCRIPT",
    "name" : "logic6",
    "scriptCode" : "console.log('项空输入逻辑')",
    "triggerType" : "ITEMBLANK"
  }, {
    "logicTag" : "dataview",
    "logicType" : "SCRIPT",
    "name" : "logic7",
    "scriptCode" : "console.log('项动态样式表')",
    "triggerType" : "ITEMDYNACLASS"
  } ],
  "getPSControlRenders" : [ {
    "layoutPanelModel" : "console.log('绘制器')",
    "name" : "logic9",
    "renderType" : "LAYOUTPANEL_MODEL"
  } ],
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "dataType" : 25,
    "name" : "phoneid",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "dataType" : 25,
    "name" : "pbookid",
    "getPSAppDEField" : {
      "name" : "PBOOKID",
      "codeName" : "Pbookid"
    }
  } ],
  "pagingSize" : 1000,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "hasWFDataItems" : false,
  "appendDEItems" : true,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : false,
  "enablePagingBar" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "687F560F-0A08-4F04-A0C4-934BFF6EFF14",
  "modeltype" : "PSDEDATAVIEW"
}